Subject: Re: VPLS model for L2VPN Framework document

From: Muneyoshi Suzuki <[email-masked]>
Date: Mon, 02 Jun 2003 10:59:26 +0900 (JST)

Ali,

> Frankly I think it was a nit because Eric's wording is general and abstract 
> enough that applies to both models. However, in the paragraph after the 
> figure, there is a sentence that says:"Within the VPLS-PE, the bridge 
> module attaches, through an "Emulated LAN Interface" to an Emulated LAN".
> If one considers an emulated LAN as an emulated VLAN, then he can interpret 
> this sentence as there is a bridge module for every emulated VLAN (e.g., 
> for every VPLS instance) which in turn becomes the multi-bridge model 
> within a PE.

I'm not sure why the framework misleads such interpretation, however, 
if there is possibility of misunderstanding, it should be revised.
I would like to propose the following figure for replacement of Figure 3.

	+---------------------------------+
	|         xSTP, GxRP, etc         |
	+-------+                 +-------+
	|  LLC  |                 |  LLC  |
	+-------+-----------------+-------+
	|        \      MAC      /        |
	|       (ISS)  Relay  (ISS)       |
	|          \  Entity   /          |
	|    MAC    +---------+   VPLS    |
	|  Entity   |         | Forwarder |
	|           |         |           |
	+-----+-----+         +-----+-----+
	      |                     |
	  =========                 | 
	  LAN Segment        IP/MPLS Network

VPLS Forwarder provides MAC service defined in ISO/IEC 15802-1 and whose
service primitives are compatible with MAC service specification defined 
in IEEE 802.3-2002. VPLS Forwarder may be supported a single point-to-point
IP or MPLS connectivity or multiple connectivities that emulate a shared
medium.

I think there is no possibility to misunderstand the above definition.

Needless to say, if the VPLS Forwarders is supported by a single full 
mesh connectivity, when a path is failed, there will be black-hole or
loop. And if the VPLS Forwarders is supported by per VLAN meshes, it does
not scale and may violate in-sequence frame delivery ;-)

Thanks,